ScriptEditor.EditorDocument
Date: 2019-10-22

org.jmol.console

## Class ScriptEditor.EditorDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.DefaultStyledDocument
    - - org.jmol.console.ScriptEditor.EditorDocument

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document, javax.swing.text.StyledDocument
  Enclosing class:
    ScriptEditor

      class ScriptEditor.EditorDocument
      extends javax.swing.text.DefaultStyledDocument

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ScriptEditor.EditorDocument.MyUndoableEditListener`

    - ### Nested classes/interfaces inherited from class javax.swing.text.DefaultStyledDocument

      `javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit, javax.swing.text.DefaultStyledDocument.ElementBuffer, javax.swing.text.DefaultStyledDocument.ElementSpec, javax.swing.text.DefaultStyledDocument.SectionElement`

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) ScriptEditor.EditorTextPane` | `EditorTextPane`
    `protected javax.swing.undo.UndoManager` | `undo`

    - ### Fields inherited from class javax.swing.text.DefaultStyledDocument

      `buffer, BUFFER_SIZE_DEFAULT`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `clearContent()` Removes all content of the script window, and add a new prompt.
    `(package private) void` | `clearHighlight()`
    `(package private) void` | `doHighlight(int from, int to, javax.swing.text.SimpleAttributeSet attr)`
    `(package private) java.lang.String` | `outputEcho(java.lang.String text)`
    `protected void` | `redo()`
    `(package private) void` | `setEditorTextPane(ScriptEditor.EditorTextPane EditorTextPane)`
    `protected void` | `undo()`

    - ### Methods inherited from class javax.swing.text.DefaultStyledDocument

      `addDocumentListener, addStyle, create, createDefaultRoot, getBackground, getCharacterElement, getDefaultRootElement, getFont, getForeground, getLogicalStyle, getParagraphElement, getStyle, getStyleNames, insert, insertUpdate, removeDocumentListener, removeElement, removeStyle, removeUpdate, setCharacterAttributes, setLogicalStyle, setParagraphAttributes, styleChanged`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, insertString, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.text.Document

      `addUndoableEditListener, createPosition, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, insertString, putProperty, remove, removeUndoableEditListener, render`

- - ### Field Detail

    - #### EditorTextPane

          ScriptEditor.EditorTextPane EditorTextPane

    - #### undo

          protected javax.swing.undo.UndoManager undo

  - ### Constructor Detail

    - #### EditorDocument

          EditorDocument()

  - ### Method Detail

    - #### setEditorTextPane

          void setEditorTextPane(ScriptEditor.EditorTextPane EditorTextPane)

    - #### doHighlight

          void doHighlight(int from,
                           int to,
                           javax.swing.text.SimpleAttributeSet attr)

    - #### clearHighlight

          void clearHighlight()

    - #### undo

          protected void undo()

    - #### redo

          protected void redo()

    - #### clearContent

          void clearContent()

      Removes all content of the script window, and add a new prompt.

    - #### outputEcho

          java.lang.String outputEcho(java.lang.String text)